This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315647 - (CVE-2016-1234) CVE-2016-1234 glibc: Stack-based buffer overflow in glob with GLOB_ALTDIRFUNC and crafted directory
CVE-2016-1234 glibc: Stack-based buffer overflow in glob with GLOB_ALTDIRFUNC...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160307,repor...
: Security
Depends On: 1315648
Blocks: 1315649
  Show dependency treegraph
 
Reported: 2016-03-08 05:41 EST by Adam Mariš
Modified: 2016-08-11 06:42 EDT (History)
16 users (show)

See Also:
Fixed In Version: glibc 2.24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 06:42:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-08 05:41:33 EST
It was found that glob implementation in glibc does not correctly handle overlong names in struct dirent buffers when GLOB_ALTDIRFUNC is used, causing large stack-based buffer overflow with controlled length and content.

Upstream bug (contains reproducer):

https://sourceware.org/bugzilla/show_bug.cgi?id=CVE-2016-1234
Comment 1 Adam Mariš 2016-03-08 05:42:04 EST
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1315648]
Comment 7 Stefan Cornelius 2016-08-11 06:41:34 EDT
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.